la_gerpvgrw(3)

NAME
la_gerpvgrw - la_gerpvgrw: reciprocal pivot growth

SYNOPSIS

  Functions

real function cla_gerpvgrw (n, ncols, a, lda, af, ldaf)
CLA_GERPVGRW multiplies a square real matrix by a complex matrix.
double precision function dla_gerpvgrw (n, ncols, a, lda, af, ldaf)
DLA_GERPVGRW
real function sla_gerpvgrw (n, ncols, a, lda, af, ldaf)
SLA_GERPVGRW
double precision function zla_gerpvgrw (n, ncols, a, lda, af, ldaf)
ZLA_GERPVGRW multiplies a square real matrix by a complex matrix.

Detailed Description

Function Documentation

  real function cla_gerpvgrw (integer n, integer ncols, complex, dimension( lda, * ) a, integer lda, complex, dimension( ldaf, * ) af, integer ldaf)

CLA_GERPVGRW multiplies a square real matrix by a complex matrix.

Purpose:

    !>
    !>
    !> CLA_GERPVGRW computes the reciprocal pivot growth factor
    !> norm(A)/norm(U). The  norm is used. If this is
    !> much less than 1, the stability of the LU factorization of the
    !> (equilibrated) matrix A could be poor. This also means that the
    !> solution X, estimated condition numbers, and error bounds could be
    !> unreliable.
    !>

Parameters
    N

    !>          N is INTEGER
    !>     The number of linear equations, i.e., the order of the
    !>     matrix A.  N >= 0.
    !>

    NCOLS

    !>          NCOLS is INTEGER
    !>     The number of columns of the matrix A. NCOLS >= 0.
    !>

    A

    !>          A is COMPLEX array, dimension (LDA,N)
    !>     On entry, the N-by-N matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>     The leading dimension of the array A.  LDA >= max(1,N).
    !>

    AF

    !>          AF is COMPLEX array, dimension (LDAF,N)
    !>     The factors L and U from the factorization
    !>     A = P*L*U as computed by CGETRF.
    !>

    LDAF

    !>          LDAF is INTEGER
    !>     The leading dimension of the array AF.  LDAF >= max(1,N).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  double precision function dla_gerpvgrw (integer n, integer ncols, double precision, dimension( lda, * ) a, integer lda, double precision, dimension( ldaf, * ) af, integer ldaf)

DLA_GERPVGRW

Purpose:

    !>
    !>
    !> DLA_GERPVGRW computes the reciprocal pivot growth factor
    !> norm(A)/norm(U). The  norm is used. If this is
    !> much less than 1, the stability of the LU factorization of the
    !> (equilibrated) matrix A could be poor. This also means that the
    !> solution X, estimated condition numbers, and error bounds could be
    !> unreliable.
    !>

Parameters
    N

    !>          N is INTEGER
    !>     The number of linear equations, i.e., the order of the
    !>     matrix A.  N >= 0.
    !>

    NCOLS

    !>          NCOLS is INTEGER
    !>     The number of columns of the matrix A. NCOLS >= 0.
    !>

    A

    !>          A is DOUBLE PRECISION array, dimension (LDA,N)
    !>     On entry, the N-by-N matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>     The leading dimension of the array A.  LDA >= max(1,N).
    !>

    AF

    !>          AF is DOUBLE PRECISION array, dimension (LDAF,N)
    !>     The factors L and U from the factorization
    !>     A = P*L*U as computed by DGETRF.
    !>

    LDAF

    !>          LDAF is INTEGER
    !>     The leading dimension of the array AF.  LDAF >= max(1,N).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  real function sla_gerpvgrw (integer n, integer ncols, real, dimension( lda, * ) a, integer lda, real, dimension( ldaf, * ) af, integer ldaf)

SLA_GERPVGRW

Purpose:

    !>
    !> SLA_GERPVGRW computes the reciprocal pivot growth factor
    !> norm(A)/norm(U). The  norm is used. If this is
    !> much less than 1, the stability of the LU factorization of the
    !> (equilibrated) matrix A could be poor. This also means that the
    !> solution X, estimated condition numbers, and error bounds could be
    !> unreliable.
    !>

Parameters
    N

    !>          N is INTEGER
    !>     The number of linear equations, i.e., the order of the
    !>     matrix A.  N >= 0.
    !>

    NCOLS

    !>          NCOLS is INTEGER
    !>     The number of columns of the matrix A. NCOLS >= 0.
    !>

    A

    !>          A is REAL array, dimension (LDA,N)
    !>     On entry, the N-by-N matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>     The leading dimension of the array A.  LDA >= max(1,N).
    !>

    AF

    !>          AF is REAL array, dimension (LDAF,N)
    !>     The factors L and U from the factorization
    !>     A = P*L*U as computed by SGETRF.
    !>

    LDAF

    !>          LDAF is INTEGER
    !>     The leading dimension of the array AF.  LDAF >= max(1,N).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  double precision function zla_gerpvgrw (integer n, integer ncols, complex*16, dimension( lda, * ) a, integer lda, complex*16, dimension( ldaf, * ) af, integer ldaf)

ZLA_GERPVGRW multiplies a square real matrix by a complex matrix.

Purpose:

    !>
    !>
    !> ZLA_GERPVGRW computes the reciprocal pivot growth factor
    !> norm(A)/norm(U). The  norm is used. If this is
    !> much less than 1, the stability of the LU factorization of the
    !> (equilibrated) matrix A could be poor. This also means that the
    !> solution X, estimated condition numbers, and error bounds could be
    !> unreliable.
    !>

Parameters
    N

    !>          N is INTEGER
    !>     The number of linear equations, i.e., the order of the
    !>     matrix A.  N >= 0.
    !>

    NCOLS

    !>          NCOLS is INTEGER
    !>     The number of columns of the matrix A. NCOLS >= 0.
    !>

    A

    !>          A is COMPLEX*16 array, dimension (LDA,N)
    !>     On entry, the N-by-N matrix A.
    !>

    LDA

    !>          LDA is INTEGER
    !>     The leading dimension of the array A.  LDA >= max(1,N).
    !>

    AF

    !>          AF is COMPLEX*16 array, dimension (LDAF,N)
    !>     The factors L and U from the factorization
    !>     A = P*L*U as computed by ZGETRF.
    !>

    LDAF

    !>          LDAF is INTEGER
    !>     The leading dimension of the array AF.  LDAF >= max(1,N).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.